define([
    'jquery',
    'domReady!'
], function($) {

    $('.main-menu__item--parent, .main-menu__inner-item--parent').each(function() {
        var menuItem = $(this);
        // Append span to add clickable element to open submenus
        menuItem.append("<span class=\"submenu-open\"></span>");
        menuItem.find('> .main-menu__inner-list').prepend("<span class=\"submenu-back\">&lt; Back</span>");

        handleSubmenuOpen(menuItem);
    })

    function handleSubmenuOpen(menuItem) {
        menuItem.find('.submenu-open').click(function() {
            var innerList = menuItem.find('> .main-menu__inner-list');

            // Remove active class from other submenus when opening new one. Parent submenus retain their active class.
            $('.main-menu__inner-list').not(menuItem.parent().parent().find('> .main-menu__inner-list')).removeClass('active');
            innerList.addClass('active');

            handleSubmenuClose(innerList);
        });
    }

    function handleSubmenuClose(innerList) {
        innerList.find('.submenu-back').click(function() {
            $(this).parent().removeClass('active');
        });
    }

});
